import Game from '../core/game'

class MouseInput {
    constructor () {

    }

    init () {
        Game.canvas.addEventListener('mousemove', evt => {
            Game.emit('pointermove', {
                // x: evt.clientX,
                // y: evt.clientY
                x: evt.pageX,
                y: evt.pageY
            })
        })

        Game.canvas.addEventListener('mousedown', evt => {
            Game.emit('pointerdown', {
                x: evt.pageX,
                y: evt.pageY
            })
        })

        Game.canvas.addEventListener('mouseup', evt => {
            Game.emit('pointerup', {
                x: evt.pageX,
                y: evt.pageY
            })
        })
    }
}

export default new MouseInput
